Subject: Overwriting include files

From: Mr Stuart Lamble <[email-masked]>
Date: Thu, 1 Aug 1996 08:02:16 +1000 (EST)

Ok. There is a library available, libelf (currently version 0.5.2),
which is required by a program I was idly toying about with (Eli).
I'm contemplating packaging up Eli, which would imply packaging up
libelf as well. However, libelf comes with a couple of #include files
- libelf.h and nlist.h (I think) - which are also included in libc-dev;
in the case of libelf.h, this isn't a problem (the two are identical in
content), but nlist.h has a couple of things in it that (IIRC) are
#if 0'd out.

What would be the procedure for saying to dpkg, "These files will
conflict with those in another package, but it's ok to overwrite them"?
Or would I have to use a preinst/postrm script to rename them? Shift
their location? Something else I haven't thought of?

Thanks in advance.

-- 
I'm on a low-fat, high stress diet: coffee and fingernails.